import * as ts from 'typescript';
export declare type TSConfigFS = {
    fileExists: (filePath: string) => Promise<boolean>;
    readFile: (filePath: string) => Promise<string | null>;
};
/**
 * Config parsing options
 */
export declare type TSConfigOptions = {
    keepJson?: boolean;
};
/**
 * Reads any typescript configuration files for a given file, including the extends references
 * @param filePath the full file path to the file
 * @param defaultConfig optional default configuration
 * @param options config parsing options
 * @returns the typescript configuration for the file, or undefined if this is not a typescript file
 */
export declare const getTypescriptConfig: (filePath: string, defaultConfig?: ts.CompilerOptions | undefined, options?: TSConfigOptions | undefined) => ts.CompilerOptions | undefined;
